## Package org.apache.cassandra.auth

Interface Summary
IAuthenticator
IAuthority: Cassandra's resource hierarchy looks something like: {{/cassandra/keyspaces/$ks_name/...}} In table form: /cassandra/ - no checked permissions - String * Separates Cassandra-internal resources from resources that might be provided by plugins.
IInternodeAuthenticator

Class Summary
AllowAllAuthenticator
AllowAllAuthority
AllowAllInternodeAuthenticator
AuthenticatedUser: An authenticated user and her groups.
Resources: Constants related to Cassandra's resource hierarchy.

Enum Summary
Permission: An enum encapsulating the set of possible permissions that an authenticated user can have for a resource.

Exception Summary
PermissionDenied

Copyright © 2013 The Apache Software Foundation